// VARIAVES PARA O LOAD BUTTON
var textLoad = "<i class='fa fa-circle-o-notch fa-spin'></i>";
var textButton = '';
var btn = null;

//$('#btn_enviar_whats').on('click', function(e){
$('#form_enviar_whats').submit(function(e) {
e.preventDefault();
    
    loadButton($('#btn_enviar_whats'));
    
    formulario = getForm('#form_enviar_whats');
    $data = {'ids':$('#btn_enviar_whats').data('ids'),'link_corretor':formulario[0]['value'],'mensagem':formulario[2]['value'],'id_evento':formulario[1]['value']};
    
    console.log($data);
    
    if($('#btn_enviar_whats').data('ids') != ''){
        if(confirm("Deseja enviar mensagem de whatsapp para os Leads?")){
            get_ajax_($data, 'administrativo/ajax/Incorporadora_ajax/enviarConviteWhats', 
            success =>{
                if(success.success == true){
                    $('.result_whats').html('');
                    
                    $('.result_whats').append('<div class="alert alert-primary alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');

                }
                else{
                    $('.result_whats').html('');
                    
                    $('.result_whats').append('<div class="alert alert-danger alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
                }
            },
            error =>{
                console.log(error);
            }
            );
        }
        else{
            alert("Operação cancelada!");
            loadButton(null,false);
        }
    }
    else
    {
        alert("Sem leads para esse evento!");
    }
    
});

//$('#btn_enviar_email').on('click', function(e){
$('#form_enviar_email').submit(function(e) {
e.preventDefault();
    
    loadButton($('#btn_enviar_email'));
    
    formulario = getForm('#form_enviar_email');
    $data = {'ids':$('#btn_enviar_email').data('ids'),'link_corretor':formulario[0]['value'],'uuid_campanha':formulario[1]['value'],'uuid_evento':formulario[2]['value']};
    
    console.log($data);
    
    if($('#btn_enviar_email').data('ids') != ''){
        if(confirm("Deseja enviar mensagem via email para os Leads?")){
            get_ajax_($data, 'administrativo/ajax/Incorporadora_ajax/enviarConviteEmail', 
            success =>{
                if(success.success == true){
                    $('.result_email').html('');
                    
                    $('.result_email').append('<div class="alert alert-primary alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');

                }
                else{
                    $('.result_email').html('');
                    
                    $('.result_email').append('<div class="alert alert-danger alert-dismissible fade show" role="alert"> '+success.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');
                }
            },
            error =>{
                console.log(error);
            }
            );
        }
        else{
            alert("Operação cancelada!");
            loadButton(null,false);
        }
    }
    else
    {
        alert("Sem leads para esse evento!");
    }
    
});